## GstStreamConsistencyChecker GstStreamConsistencyChecker — Data flow consistency checker for GStreamer unit tests. |

## Functions

GstStreamConsistency * | gst_consistency_checker_new ()
void | gst_consistency_checker_reset ()
void | gst_consistency_checker_free ()
gboolean | gst_consistency_checker_add_pad ()

## Types and Values

| GstStreamConsistency

## Includes

    #include <gst/check/gstconsistencychecker.h>

## Description

These macros and functions are for internal use of the unit tests found inside the 'check' directories of various GStreamer packages.

## Functions

### gst_consistency_checker_new ()

    GstStreamConsistency *
    gst_consistency_checker_new (GstPad *pad);

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

[skip]

#### Parameters

pad | The GstPad on which the dataflow will be checked. |

#### Returns

A GstStreamConsistency structure used to track data flow.

### gst_consistency_checker_reset ()

    void
    gst_consistency_checker_reset (GstStreamConsistency *consist);

Reset the stream checker's internal variables.

#### Parameters

consist | The GstStreamConsistency to reset. |

### gst_consistency_checker_free ()

    void
    gst_consistency_checker_free (GstStreamConsistency *consist);

Frees the allocated data and probes associated with `consist` .

#### Parameters

consist | The GstStreamConsistency to free. |

### gst_consistency_checker_add_pad ()

    gboolean
    gst_consistency_checker_add_pad (GstStreamConsistency *consist,
                                     GstPad *pad);

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

#### Parameters

consist | The GstStreamConsistency handle |
pad | The GstPad on which the dataflow will be checked. |

#### Returns

`TRUE` if the pad was added

## Types and Values

### GstStreamConsistency

    typedef struct _GstStreamConsistency GstStreamConsistency;

Opaque consistency checker handle.